Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Implicit_Activation_Policy Class Reference

`#include <POA_Policies.h>`

Inheritance diagram for TAO_Implicit_Activation_Policy:

[legend]
Collaboration diagram for TAO_Implicit_Activation_Policy:

[legend]
List of all members.

## Public Methods
| TAO_Implicit_Activation_Policy (PortableServer::ImplicitActivationPolicyValue value)
PortableServer::ImplicitActivationPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
virtual TAO_Policy_Scope | _tao_scope (void) const
## Protected Attributes
PortableServer::ImplicitActivationPolicyValue | value_

## Constructor & Destructor Documentation

TAO_Implicit_Activation_Policy::TAO_Implicit_Activation_Policy | ( | PortableServer::ImplicitActivationPolicyValue | value | ) |

## Member Function Documentation

TAO_Cached_Policy_Type TAO_Implicit_Activation_Policy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

TAO_Policy_Scope TAO_Implicit_Activation_Policy::_tao_scope | ( | void |  | ) | const`[virtual]`

CORBA::Policy_ptr TAO_Implicit_Activation_Policy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

void TAO_Implicit_Activation_Policy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

CORBA::PolicyType TAO_Implicit_Activation_Policy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

PortableServer::ImplicitActivationPolicyValue TAO_Implicit_Activation_Policy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

## Member Data Documentation

PortableServer::ImplicitActivationPolicyValue TAO_Implicit_Activation_Policy::value_`[protected]`

The documentation for this class was generated from the following files:

- POA_Policies.h
- POA_Policies.cpp